Bug 21207 - rpm not working in 7.0
rpm not working in 7.0
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-21 16:12 EST by Need Real Name
Modified: 2007-04-18 12:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-03 12:34:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-11-21 16:12:14 EST
After loading Redhat 7.0 I tried to load the security and bug fixes for
Redhat 7.0.  Upon execution of any rpm package I receive the following
error:

The rpm database cannot be opened in db3 format.
    If you have just upgraded the rpm package you need to convert
    your database to db3 format by running "rpm --rebuilddb" as root.

I then logged in as root (su) and ran the rpm --rebuilddb but I am still
having the same problem.  Any suggestions on how to fix this error?
Pleae advise
Comment 1 Bill Nottingham 2000-11-22 00:10:40 EST
Something has your RPM database open. Do you have RPM or up2date or
gnorpm running in the background?
Comment 2 Jeff Johnson 2000-12-03 12:34:05 EST
There should have been an error message just before the text that you have
chosen to
include. Was there a message? What did it say?
Comment 3 Jeff Johnson 2000-12-22 10:02:26 EST
Closed for lack of input.

Note You need to log in before you can comment on or make changes to this bug.